<template>
    <HcCard>
        <template #header>
            <HcNewSwitch :datas="tabData" :keys="tabKey" @change="tabChange" :round="false"/>
        </template>
        <template #extra>
            <HcTooltip keys="file_collection_btn_upload_scanned_files">
                <el-button type="primary" hc-btn>
                    <HcIcon name="git-pull-request"/>
                    <span>申请验收</span>
                </el-button>
            </HcTooltip>
        </template>
        <HcTable ref="tableRef" :column="tableColumn" :datas="tableData" :loading="tableLoading" isCheck @selection-change="tableSelection"/>
        <template #action>
            <HcPages :pages="searchForm" @change="pageChange"/>
        </template>
    </HcCard>
</template>

<script setup>
import {ref, nextTick, watch, onMounted} from "vue";
import {getArrValue} from "js-fast-way"

//参数
const props = defineProps({
    projectId: {
        type: [String,Number],
        default: ''
    },
    contractId: {
        type: [String,Number],
        default: ''
    },
    treeData: {
        type: Object,
        default: () => ({})
    }
})

//变量
const projectId = ref(props.projectId);
const contractId = ref(props.contractId);
const nodeData = ref(props.treeData);

//监听
watch(() => [
    props.treeData
], ([treeData]) => {
    nodeData.value = treeData;
})

//渲染完成
onMounted(() => {

})

//tab数据和相关处理
const tabKey = ref('tab1')
const tabData = ref([
    {key:'tab1',  name: '全部汇总'},
    {key:'tab2',  name: '历史验收报告'},
    {key:'tab3', name: '历史整改报告'}
]);
const tabChange = (item) => {
    tabKey.value = item?.key;
}

//搜索表单
const searchForm = ref({
    current: 1, size: 20, total: 0
})

//分页被点击
const pageChange = ({current, size}) => {
    searchForm.value.current = current
    searchForm.value.size = size
    getTableData()
}

//表头
const tableRef = ref(null)
const tableColumn = ref([
    {key:'key1', name: '档号', width: 200},
    {key:'key2', name: '案卷题名'},
    {key:'key3', name: '保管期限', width: 140},
    {key:'key4', name: '总页数', width: 140},
])
const tableData = ref([
    {
        id: 1,
        key1: 'FJZB-02-123',
        key2: '初步设计外业验收有关文件、工程初步设计图纸、初步设计批复、初步设计审查咨询报告',
        key3: '永久',
        key4: '293',
    },
    {
        id: 2,
        key1: 'FJZB-02-123',
        key2: '初步设计外业验收有关文件、工程初步设计图纸、初步设计批复、初步设计审查咨询报告',
        key3: '永久',
        key4: '293',
    },
    {
        id: 2,
        key1: 'FJZB-02-123',
        key2: '初步设计外业验收有关文件、工程初步设计图纸、初步设计批复、初步设计审查咨询报告',
        key3: '永久',
        key4: '293',
    }
])

//获取数据
const tableLoading = ref(false)
const getTableData = async () => {

}

//多选
const tableKeys = ref([]);
const tableSelection = (rows) => {
    tableKeys.value = rows
}
</script>

<style lang="scss" scoped>

</style>
